libcamera v0.7.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
libcamera::PixelFormatInfo::Plane Struct Reference

Information about a single plane of a pixel format. More...

## Public Attributes
unsigned int | bytesPerGroup
| The number of bytes that a pixel group consumes.
unsigned int | verticalSubSampling
| Vertical subsampling multiplier.

## Detailed Description

Information about a single plane of a pixel format.

## Member Data Documentation

## ◆ bytesPerGroup

unsigned int libcamera::PixelFormatInfo::Plane::bytesPerGroup

The number of bytes that a pixel group consumes.

See also
  PixelFormatInfo::pixelsPerGroup

## ◆ verticalSubSampling

unsigned int libcamera::PixelFormatInfo::Plane::verticalSubSampling

Vertical subsampling multiplier.

This value is the ratio between the number of rows of pixels in the frame to the number of rows of pixels in the plane.

The documentation for this struct was generated from the following files:

- include/libcamera/internal/formats.h
- src/libcamera/formats.cpp